/*
 *  ldscript for pico2 (coff/elf version)
 *      Hideki Kozima (xkozima@myu.ac.jp)
 *      version 2.0 (April 5, 2010)
 */

OUTPUT_FORMAT("elf32-sh")
OUTPUT_ARCH(sh)
MEMORY
{
    rom  (rx) : org = 0x00000000, len = 0x00040000
    ram  (rw) : org = 0xffffd000, len = 0x00002800
    ram2 (rw) : org = 0xfffff800, len = 0x00000800
}
SECTIONS
{
    .text :
    {
        LONG(ABSOLUTE(_boot))
        LONG(ABSOLUTE(0))
        LONG(ABSOLUTE(_boot))
        LONG(ABSOLUTE(0))
        *(.text)
    } > rom

    . = ALIGN(4);

    .rodata : {
        *(.rodata)
        *(.rodata.*)
    } > rom

    . = ALIGN(4);
    _mdata = . ;

    .data : AT ( _mdata )
    {
        _sdata = . ;
        *(.data)
        _edata = . ;
    } > ram

    . = ALIGN(4);

    .bss :
    {
        _sbss = . ;
        *(.bss)
        *(COMMON)
        _ebss = . ;
    } > ram

    .reserve :
    {
        _svbase = . ;
    } > ram2
}
